################################
# Runtime Stage
#################################
FROM caa3/backend-base:0.0.5

WORKDIR /app

COPY ./package.json /app/

RUN yarn check --integrity --production && yarn check --verify-tree --production

COPY ./dist/ /app/dist/

EXPOSE 3000

ENTRYPOINT ["node", "./dist/main.js"]
